package org.bench4q.monitor.service.linux;

import java.io.FileNotFoundException;
import java.io.IOException;

import org.bench4q.monitor.model.PhysicalDiskModel;
import org.bench4q.monitor.performance.linux.PhysicalDiskMonitor;

public class PhysicalDiskServiceLinux {
	public PhysicalDiskServiceLinux() throws FileNotFoundException {
		this.physicalDiskMonitor = new PhysicalDiskMonitor();

	}

	private PhysicalDiskMonitor physicalDiskMonitor;

	public PhysicalDiskMonitor getPhysicalDiskMonitor() {
		return physicalDiskMonitor;
	}

	public void setPhysicalDiskMonitor(PhysicalDiskMonitor physicalDiskMonitor) {
		this.physicalDiskMonitor = physicalDiskMonitor;
	}

	public PhysicalDiskModel getPhysicalFDiskInfo(Integer idleTime)
			throws IOException, InterruptedException {
		return this.physicalDiskMonitor.getPhysicalDiskInfo(idleTime);
	}

}